Name: licq
Version: 1.0.3
%define qtgui qt-gui-1.0.3
%define kdegui kde-gui-1.0.3
%define autoreply auto-reply-1.0.1
%define console console-1.0.2
%define forwarder forwarder-1.0.1
%define rms rms-0.22
Release: 1
Packager: Graham Roff
Distribution: Red Hat Contrib|Net
Summary: An ICQ client for online messaging.
Copyright: GPL
Group: Applications/Communications
URL: http://www.licq.org/
Source: http://www.licq.org/licq-%{version}.tar.gz
Source1: licq.wmconfig
Source2: licq.mini-icon.xpm
#Patch: licq-conf.diff
#Patch1: qt-gui-0.67a.diff
Requires: qt => 2.2.1
BuildRoot: /var/tmp/%{name}-%{version}

%description
Licq is an ICQ online messaging system clone, written in C++ using the
Qt widget set.  Licq supports all of the major features of ICQ,
including messaging, URLs, chat, file transfer, and white pages information.
Additionally, Licq is very configurable and supports skins and
different icon packs.
This package includes a full featured Qt gui, an auto-responder plugin,
an ICQ/email forwarding plugin, a console interface, and a remote management
system plugin.


%package base
Group: Applications/Communications
Summary: Base Licq program with *no* user interface
%description base
This contains just the Licq base daemon with no user interface or plugins.
A ui plugin is also necessary to actually use the program.


%package plugins
Group: Applications/Communications
Summary: Collection of miscellaneous Licq plugins
%description plugins
Includes auto-reply, email/icq forwarder, and remote management service
plugins.  Note these are already included in the basic licq RPM.


%package ui-console
Group: Applications/Communications
Summary: Console plugin for Licq
%description ui-console
Includes the console user interface for Licq.


%package ui-qt
Group: Applications/Communications
Summary: Qt based GUI for the Licq ICQ client
Requires: qt => 2.2.1
%description ui-qt
This package contains just the basic Qt based GUI for the Licq ICQ
client.


#%package ui-kde
#Group: Applications/Communications
#Summary: Qt based GUI for the Licq ICQ client
#Requires: qt => 2.2.1
#Requires: kdelibs => 2.1
#%description ui-kde
#This package contains the Qt based GUI with KDE support for the Licq ICQ
#client.


%prep
%setup -q -T -b 0
#%patch -p 1
#%patch1
./configure --prefix=/usr
#( cp -R plugins/%{qtgui} plugins/%{kdegui} )
( cd plugins/%{qtgui}; ./configure --prefix=/usr )
#( cd plugins/%{kdegui}; ./configure --prefix=/usr --with-kde )
( cd plugins/%{console}; ./configure --prefix=/usr )
( cd plugins/%{autoreply}; ./configure --prefix=/usr )
( cd plugins/%{forwarder}; ./configure --prefix=/usr )
( cd plugins/%{rms}; ./configure --prefix=/usr )

%build
make
make -C plugins/%{qtgui}
#make -C plugins/%{kdegui}
make -C plugins/%{console}
make -C plugins/%{autoreply}
make -C plugins/%{forwarder}
make -C plugins/%{rms}

%install
rm -rf $RPM_BUILD_ROOT
make prefix="$RPM_BUILD_ROOT/usr" install-strip
make -C plugins/%{qtgui} prefix="$RPM_BUILD_ROOT/usr" install-strip
mkdir -p $RPM_BUILD_ROOT/{usr/share/icons/mini,etc/X11/wmconfig}
cp -a plugins/%{qtgui}/doc doc/%{qtgui}
cp -a plugins/%{qtgui}/README.* doc/%{qtgui}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/licq
install %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/mini/licq-mini.xpm
#make -C plugins/%{kdegui} prefix="$RPM_BUILD_ROOT/usr" install-strip
#cp -a plugins/%{kdegui}/doc doc/%{kdegui}
#cp -a plugins/%{kdegui}/README.* doc/%{kdegui}
make -C plugins/%{console} prefix="$RPM_BUILD_ROOT/usr" install-strip
make -C plugins/%{autoreply} prefix="$RPM_BUILD_ROOT/usr" install-strip
make -C plugins/%{forwarder} prefix="$RPM_BUILD_ROOT/usr" install-strip
make -C plugins/%{rms} prefix="$RPM_BUILD_ROOT/usr" install-strip
cp -a plugins/%{console}/README doc/README.CONSOLE
cp -a plugins/%{autoreply}/README doc/README.AUTO-REPLY
cp -a plugins/%{forwarder}/README doc/README.FORWARDER
cp -a plugins/%{rms}/README doc/README.RMS

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "--------------------"
echo "There is important documentation in /usr/doc/licq-%{version}."
echo "In particular, read the HINTS, BUGS, and ***UPGRADE*** files."
echo "If you are upgrading from 0.70 or earlier you *must* read"
echo "the UPGRADE file and follow the instructions included therein"
echo "--------------------"


%files 
%defattr (-,root,root)
%doc doc/*
%doc upgrade/*
%doc converters/*
%doc README*
%config /etc/X11/wmconfig/licq 
%attr(755,root,root) /usr/bin/licq*
%attr(755,root,root) /usr/bin/viewurl-netscape.sh
/usr/lib/licq
/usr/share/licq
/usr/share/icons/mini/licq-mini.xpm
/usr/include/licq


%files base
%defattr (-,root,root)
%doc doc/*
%doc upgrade/*
%doc converters/*
%doc README*
%attr(755,root,root) /usr/bin/licq*
%attr(755,root,root) /usr/bin/viewurl-netscape.sh
/usr/share/licq/translations
/usr/share/licq/utilities
/usr/share/licq/sounds
/usr/include/licq


%files plugins
%defattr (-,root,root)
%doc doc/README.AUTO-REPLY
%doc doc/README.RMS
%doc doc/README.FORWARDER
/usr/lib/licq/licq_autoreply.so
/usr/lib/licq/licq_forwarder.so
/usr/lib/licq/licq_rms.so


%files ui-console
%defattr (-,root,root)
%doc doc/README.CONSOLE
/usr/lib/licq/licq_console.so


%files ui-qt
%defattr (-,root,root)
%doc doc/%{qtgui}
%config /etc/X11/wmconfig/licq 
/usr/lib/licq/licq_qt-gui.so
/usr/share/licq/qt-gui
/usr/share/icons/mini/licq-mini.xpm


#%files ui-kde
#%defattr (-,root,root)
#%doc doc/%{kdegui}
#%config /etc/X11/wmconfig/licq 
#/usr/lib/licq/licq_kde-gui.so
#/usr/share/licq/kde-gui
#/usr/share/icons/mini/licq-mini.xpm



%changelog
* Tue Mar 6 2001 Graham Roff <graham@licq.org>
- Upgrade to 1.0.3

* Tue Dec 19 2000 Graham Roff <graham@licq.org>
- Upgrade to 1.0.2

* Tue Oct 10 2000 Graham Roff <graham@licq.org>
- Upgrade to 1.0 for most packages

* Fri Jun 2 2000 Graham Roff <graham@licq.org>
- Upgrade to 0.85
- Added RMS plugin and better description
- Created subpackages for base, plugins, ui-console and ui-qt

* Wed Mar 22 2000 Graham Roff <graham@licq.org>
- Upgrade to 0.80

* Wed Feb 16 2000 Graham Roff <graham@licq.org>
- Upgrade to 0.76
- Included three new plugins

* Tue Jan 25 2000 Graham Roff <graham@licq.org>
- Upgraded to 0.75.3

* Wed Jan 12 2000 Graham Roff <graham@licq.org>
- Upgraded to 0.75

* Fri Nov 12 1999 Graham Roff <graham@licq.org>
- Upgraded to 0.71

* Thu Oct 28 1999 Graham Roff <graham@licq.org>
- fixed requirement to qt 2.0.2

* Mon Oct 25 1999 Graham Roff <graham@licq.org>
- modified for new distribution format
- upgraded to 0.70.1

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- moved changelog to bottom
- using contrib|net spec now
- changed buildroot to /var/tmp
- rebuilt and put into powertools

* Wed Jun 18 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.70f-1]
- Upgraded to licq-0.70f with licq_qt-gui-0.64.1
- Updated URLs
- Added localization files

* Fri Mar 12 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Fixed Auto Away - Auto N/A problem.

* Tue Mar  9 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Incorporated numerous small changes inspired
by Graham Roff's (Licq author) version of the spec file

* Mon Feb 22 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.60-1]
- Added viewurl-*.sh to /usr/bin/

* Mon Dec 14 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-2]
- Updated the URL

* Fri Dec 11 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-1]
- Added SPEC file %defattr directive to enable non-root builds
- Changed SPEC file according to RHCN rules.

* Fri Oct 30 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 0.44
